# include <QAxel/QArrow.h>

namespace QAxel {

int QArrow::id_ = 0 ;

QArrow::QArrow(QPoint3f * from, QPoint3f * to, float size) 
{
	this->from = from ;
	this->to = to ;
	this->size = size ;
	
	// Selection matter
	QString str;
	setProperty("type", "Arrow");
	setProperty("name", "ar_"+str.setNum(id_)) ;
	id_++ ;
	
	setObjectColor(new QColor(0,0,255,128)) ;
}
    
void QArrow::draw(void)
{
	if(hidden()) return ;
	Vec v_from(from->x(), from->y(), from->z()) ;
	Vec v_to(to->x(), to->y(), to->z()) ;
	glPushMatrix();
	glTranslatef(v_from[0],v_from[1],v_from[2]);
	glMultMatrixd(Quaternion(Vec(0,0,1), v_to-v_from).matrix());
	glColor() ;
	QGLViewer::drawArrow((v_to-v_from).norm(), size, 16);
	glPopMatrix();
}

void QArrow::drawWithNames(void)
{
	glPushName((GLuint)this);
	draw();
	glPopName();
}

} ; // namespace QAxel
