/*****************************************************************************
 * Axel
 *****************************************************************************
 * QConstraintDistance
 * 2006-07-03
 * Arnaud Fabre
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *               Copyright (C) 2006 LSIIT - UMR CNRS-ULP - Strasbourg
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef QCONSTRAINTDISTANCE_H
# define QCONSTRAINTDISTANCE_H

# include <QAxel/QConstraint.h>

namespace QAxel 
{

/****************************************************************************/
/*!
  \class QConstraint QConstraint.h
  \brief The class QConstraint provides a distance constraint between two
  QAxelObjects.

  More ...
*/
/****************************************************************************/
class QConstraintDistance : public QConstraint
{
	Q_OBJECT
	Q_PROPERTY(float value READ getValue WRITE setValue)

public :
	QConstraintDistance(QAxelObject *o1, QAxelObject *o2, float value);
	~QConstraintDistance(void);
	
	void draw(void);
	void drawWithNames(void);
	
	static GLUquadricObj *quadObj;
	
	/**
	 * Compute the distance between two QAxelObjects in the sketch.
	 */
	float computeDistance(void);
	
	/**
	 * Accessors
	 */
	float getValue() const;
	void setValue(float f);
	
private :
	float _value;
	static int id_;
};

} // namespace QAxel

# endif
