/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QCube
 * 2006-11-06
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef QCUBE_H
# define QCUBE_H

# include <QAxel/QAxelObject.h>

namespace QAxel {

/****************************************************************************/
/*!
  \class QCube QCube.h
  \brief The class QCube provides ...

  More ...
*/
/****************************************************************************/
class QCube : public QAxelObject 
{
    Q_OBJECT

public:
    QCube(float x, float y, float z, float s) ;
    ~QCube(void) ;
    
    void draw(void) ; 
    void drawWithNames(void) ;

public slots:
    float x(void) { return frame_->position().x ; }
    float y(void) { return frame_->position().y ; }
    float z(void) { return frame_->position().z ; }
    float size(void) { return c_size ; }
    void setx(float x) ;
    void sety(float y) ;
    void setz(float z) ;
    void setSize(float s) ;

private:
    float c_size ;
    static int id_ ;
} ;

} ; // namespace QAxel

# endif
