/****************************************************************************
 * A x e l
 *****************************************************************************
 * QCurve.h
 * 2006-03-31
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# include <QAxel/QDisplayList.h>
# include <QAxel/QBoundingBox.h>
# include <QAxel/QCurve.h>

namespace QAxel {

QCurve::QCurve(void) : QAxelObject(0)
{
    c_dirty = true ;
    c_dlist = new QDisplayList ;

    bbdrawn_ = false ;

    setObjectColor(new QColor(128,255,255)) ;
}

QCurve::QCurve(QBoundingBox * boundingbox) : QAxelObject(0)
{
    c_dirty = true ;
    c_dlist = new QDisplayList ;

    boundingbox_ = boundingbox ;
    bbdrawn_ = false ;

    setObjectColor(new QColor(128,255,255)) ;
}
    
QCurve::QCurve(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax) : QAxelObject(0)
{
    c_dirty = true ;
    c_dlist = new QDisplayList ;

    boundingbox_ = new QBoundingBox(xmin, xmax, 
				    ymin, ymax, 
				    zmin, zmax) ;
    bbdrawn_ = false ;

    setObjectColor(new QColor(128,255,255)) ;
}

QCurve::~QCurve(void)
{
    delete c_dlist ;
}

} ; // namespace QAxel
