/*****************************************************************************
 * Axel
 *****************************************************************************
 * QCylinder
 * 2006-09-14
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QCYLINDER_H
# define QCYLINDER_H

# include <QAxel/QAxelObject.h>

namespace QAxel {

class QPoint3f ;

/****************************************************************************/
/*!
  \class QCylinder QCylinder.h
  \brief The class QCylinder provides ...

  More ...
*/
/****************************************************************************/
class QCylinder : public QAxelObject 
{
	Q_OBJECT

public slots:
	QPoint3f* from(void);
        QPoint3f* to(void);
        float s(void);

public :
	
	QCylinder(QPoint3f * from, QPoint3f * to, float radius=0.2) ;
	~QCylinder(void) ;
	
	void draw(void) ; 
    void drawWithNames(void) ;

	void drawCylinder(const Vec& from, const Vec& to, float radius, int nbSubdivisions) ;
	void drawCylinder(float length, float radius, int nbSubdivisions) ;

private :
	
	QPoint3f * from_ ;
	QPoint3f * to_ ;
	float radius_ ;
	static int id_ ;
	static GLUquadricObj * quadObj ;
} ;

} ; // namespace QAxel

# endif
