/*****************************************************************************
 * Axel
 *****************************************************************************
 * QPiecewiseLinearCurve
 * 2007-05-20
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QPIECEWISELINEARCURVE_H
# define QPIECEWISELINEARCURVE_H

# include <QAxel/QCurve.h>

namespace QAxel {

class QVertex ;
class QEdge ;

class QPiecewiseLinearCurve : public QCurve
{
    Q_OBJECT

public:
     QPiecewiseLinearCurve(void) ;
     QPiecewiseLinearCurve(QBoundingBox * bb) ;
     QPiecewiseLinearCurve(double xmin, double xmax, 
			   double ymin, double ymax,
			   double zmin, double zmax) ;
    ~QPiecewiseLinearCurve(void) ;

    virtual void draw(void) ;
    virtual void drawWithNames(void) ;

public slots:
    bool closed(void) ;
    bool opened(void) ;

    void sort(void) ;

    void push(QVertex * vertex) ;
    void push(QEdge * edge) ;

    void pop(QVertex * vertex) ;
    void pop(QEdge * edge) ;

    void clear(void) ;

private:
    QList<QVertex *> c_vertices ;
    QList<QEdge *>   c_edges ;

private:
    static int id_ ;
} ;

} ; // namespace QAxel

# endif // QPIECEWISELINEARCURVE_H
