/*****************************************************************************
 * Axel
 *****************************************************************************
 * QPiecewiseLinearSurface
 * 2007-05-20
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef QPIECEWISELINEARSURFACE_H
# define QPIECEWISELINEARSURFACE_H

# include <QAxel/QSurface.h>

namespace QAxel {

class QVertex ;
class QEdge ;
class QFace ;

class QPiecewiseLinearSurface : public QSurface
{
    Q_OBJECT

public:
     QPiecewiseLinearSurface(void) ;
     QPiecewiseLinearSurface(QBoundingBox * bb) ;
     QPiecewiseLinearSurface(double xmin, double xmax, 
			     double ymin, double ymax,
			     double zmin, double zmax) ;
    ~QPiecewiseLinearSurface(void) ;

    virtual void draw(void) ;
    virtual void drawWithNames(void) ;

public slots:
    void sort(void) ;
    bool closed(void) ;
    bool opened(void) ;

private:
    QList<QVertex *> s_vertices ;
    QList<QEdge *>   s_edges ;
    QList<QFace *>   s_faces ;

private:
    static int id_ ;
} ;

} ; // namespace QAxel

# endif // QPIECEWISELINEARSURFACE_H
