# ifndef QPLANE_H
# define QPLANE_H

# include <QAxel/QAxelObject.h>

# include <QGLViewer/qglviewer.h>

using namespace qglviewer ;

namespace QAxel 
{

/****************************************************************************/
/*!
  \class QPlane QPlane.h
  \brief The class QPlane provides ...

  More ...
*/
/****************************************************************************/	
class QPlane : public QAxelObject 
{
    Q_OBJECT
    
public:
    QPlane(float a, float b, float c, float d, float size=0.1) ;
	
    float size(void) ;
    float a(void);
    float b(void);
    float c(void);
    float d(void);

    void draw(void) ;
    void drawWithNames(void) ;

    QString equation(void) ;
						       
public slots:

    void setSize(float size) ;    
    void seta(float a);
    void setb(float b);
    void setc(float c);
    void setd(float d);

    QAxelObject * toObject(void) { return (QAxelObject *)this ; }
    
private :
    void computePosition(void) ;	
    void computeOrientation(void) ;
    
private :
    float a_, b_, c_, d_ ;
    float size_ ;
    
    static int id_ ;
} ;
    
} ; // namespace QAxel

# endif
