/*****************************************************************************
 * Axel
 *****************************************************************************
 * QShape
 * 2006-11-09
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# include <QMessageBox>

# include <QAxel/QShape.h>
# include <QAxel/PluginManager.h>

# include <QCore/QCoreInterface.h>

namespace QAxel {

int QShape::id_ = 0 ;

QShape::QShape(void)
{
    frame_ = new ManipulatedFrame ;
    QString str ;
    setProperty("type", "Shape") ;
    setProperty("name", "shape_"+str.setNum(id_)) ;
    id_++ ;
    setObjectColor(new QColor(205,102,29)) ;
}

QShape::~QShape(void) {}

void QShape::draw(void) 
{     
    if(hidden()) return ;
    QCoreInterface * iCore = dynamic_cast<QCoreInterface *>(PluginManager::instance()->plugin("Core")) ;
    if(iCore) {
	glPushMatrix() ;
	glMultMatrixd(frame_->matrix()) ;
	glColor() ;
	iCore->draw(this) ;
	glPopMatrix() ;
    } else {
	QMessageBox::information(0, "Axel","QShape : QCore plugin is not loaded","&Ok",0) ;
    }
}   

void QShape::drawWithNames(void) 
{	  
    glPushName((GLuint)this) ;
    draw();
    glPopName() ;
}

} ; // namespace QAxel
