/*****************************************************************************
 * Axel
 *****************************************************************************
 * QSphere
 * 2006-11-06
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * 
 ****************************************************************************/

# ifndef QSPHERE_H
# define QSPHERE_H

# include <QAxel/QAxelObject.h>

namespace QAxel {

/****************************************************************************/
/*!
  \class QSphere QSphere.h
  \brief The class QSphere provides ...

  More ...
*/
/****************************************************************************/
class QSphere : public QAxelObject 
{
	Q_OBJECT

public :
	QSphere(float x, float y, float z, float s) ;
	~QSphere(void) ;
	
	void draw(void) ; 
    void drawWithNames(void) ;

public slots:
	float x(void) ;
	float y(void) ;
	float z(void) ;
	float s(void) ;
	void setx(float x) ;
	void sety(float y) ;
	void setz(float z) ;
	void sets(float s) ;

private :
	float s_size ;
	static int id_ ;
} ;

} ; // namespace QAxel

# endif
