/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QVertex
 * 2006-03-25
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 *
 ****************************************************************************/

# ifndef QVERTEX_H
# define QVERTEX_H

# include <QAxel/QAxelObject.h>     
# include <QGLViewer/qglviewer.h>

using namespace qglviewer ;
                         
namespace QAxel {

class QMesh ;

/****************************************************************************/
/*!
  \class QVertex QVertex.h
  \brief The class QVertex provides ...

  More ...
*/
/****************************************************************************/
class QVertex : public QAxelObject 
{
    Q_OBJECT

public:
     QVertex(QAxelObject * parent = 0) ;
     QVertex(float x, float y, float z, QAxelObject * parent = 0) ;
    ~QVertex(void) ;
    
    void draw(void) ;
    void drawWithNames(void) ;
    
    float x(void) ;
    float y(void) ;
    float z(void) ;     
    
    QString toString(void) ;
    friend std::ostream& operator <<(std::ostream& stream, QVertex & v) ;
    friend std::ostream& operator <<(std::ostream& stream, QVertex * v) ;

private:    
    static int id_ ;

// -------------- TO BE REMOVED ----------------
public:
     QVertex(int index, float x, float y, float z, QMesh * m) ;

    void setNormal(float x, float y, float z) ;
    void setColor(float r, float g, float b) ;
    void setUVMapping(float u, float v) ;
    
    void addToNormal(float x, float y, float z) ;
    
    void setIndex(int index) ;
    int index(void) ;
    
    QMesh * mesh(void) ;
    
public slots:
    void updatePosition(void) ;
	
private:
    int index_ ;
    float u, v ;

    Vec normal_ ;
    QMesh * mesh_ ;
    
// ---------------------------------------------
} ;

} ; // namespace QAxel

# endif
