/*****************************************************************************
 * A x e l
 *****************************************************************************
 * Tool Manager
 * 2007-06-07
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2007 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :         
 *
 ****************************************************************************/

# ifndef TOOLMANAGER_H
# define TOOLMANAGER_H

# include <QObject>

# include <QAxel/QAxelObject.h>
# include <QAxel/QPoint3f.h>

using namespace QAxel ;

/****************************************************************************/
/*!
  \class ToolManager ToolManager.h
  \brief This class manages some tools in Axel.
*/
/****************************************************************************/

class ToolManager
{
    typedef QPair<QPoint3f *, QPoint3f *> LineSegment_t ;

public:
    static ToolManager * instance(void) ;

public slots:
    QPoint3f * intersection(LineSegment_t s1, LineSegment_t s2) ;

private:
    static ToolManager * m_instance ;
} ;

# endif  // TOOLMANAGER_H
