/*****************************************************************************
 * A x e l
 *****************************************************************************
 * QGraphEdge
 * 2006-10-04
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/
 
# include <QData/QGraphNode.h>
# include <QData/QGraphEdge.h>

namespace QData {
	
QGraphEdge::QGraphEdge(QGraphNode *sourceNode, QGraphNode *destNode)
{
    source = sourceNode;
    dest = destNode;
    source->addEdge(this);
    dest->addEdge(this);
}
    
QGraphEdge::~QGraphEdge()
{

}

QString QGraphEdge::label(void) 
{
    return label_ ;
}

QGraphNode * QGraphEdge::sourceNode() const
{
    return source;
}

void QGraphEdge::setSourceNode(QGraphNode *node)
{
    source = node;
}

QGraphNode * QGraphEdge::destNode() const
{
    return dest;
}

void QGraphEdge::setDestNode(QGraphNode *node)
{
    dest = node;
}

QList<QGraphNode *> QGraphEdge::adjacentNodes(void)
{
    QList<QGraphNode *> adjacentNodes ;
    adjacentNodes << source ;
    adjacentNodes << dest ;
    return adjacentNodes ;
}
	
} ; // namespace QData
