# include <QString>
# include <QPixmap>
# include <QStatusBar>
# include <QSystemTrayIcon>

# include <QGui/MainWindow.h>

# if defined(Q_WS_MAC) && defined(HAVE_GROWL)
# include <QGui/GrowlNotifier.h>
# endif

void MainWindow::displayAxisMessage(bool on)
{
	if(on) displayAxisOnMessage() ;
	else   displayAxisOffMessage() ;
}

void MainWindow::displayAxisOnMessage(void) 
{
	QString title = "Axis display switched on" ;
	QString text = "Switch off with Key A" ;
	QPixmap picture(":images/32x32/hint.png") ;
	displayMessage(title, text, picture) ;
}

void MainWindow::displayAxisOffMessage(void) 
{
	QString title = "Axis display switched off" ;
	QString text = "Switch on with Key A" ;
	QPixmap picture(":images/32x32/hint.png") ;
	displayMessage(title, text, picture) ;
}

void MainWindow::displayOrthographicModeMessage(void) 
{
	QString title = "Switched to orthographic mode" ;
	QString text = "Switch back to perspective mode with Key O" ;
	QPixmap picture(":images/32x32/hint.png") ;
	displayMessage(title, text, picture) ;
}

void MainWindow::displayPerspectiveModeMessage(void) 
{
	QString title = "Switched to perspective mode" ;
	QString text = "Switch back to orthographic mode with Key O" ;
	QPixmap picture(":images/32x32/hint.png") ;
	displayMessage(title, text, picture) ;
}

void MainWindow::display2dModeMessage(void) 
{
	QString title = "Switched to 2d mode" ;
	QString text = "Switch back to 3d mode with Key O" ;
	QPixmap picture(":images/32x32/hint.png") ;
	displayMessage(title, text, picture) ;
}

void MainWindow::display3dModeMessage(void) 
{
	QString title = "Switched to 3d mode" ;
	QString text = "Switch back to 2d mode with Key O" ;
	QPixmap picture(":images/32x32/hint.png") ;
	displayMessage(title, text, picture) ;
}

void MainWindow::displayFullScreenMessage(bool on)
{
	if(on) displayFullScreenOnMessage() ;
	else   displayFullScreenOffMessage() ;
}

void MainWindow::displayFullScreenOnMessage(void) 
{
	QString title = "Fullscreen mode switched on" ;
	QString text = "Switch back to window floating window mode with Key ALT+Enter" ;
	QPixmap picture(":images/32x32/info.png") ;
	displayMessage(title, text, picture) ;
}

void MainWindow::displayFullScreenOffMessage(void) 
{
	QString title = "Fullscreen mode switched off" ;
	QString text = "Switch back to fullscreen mode with Key ALT+Enter" ;
	QPixmap picture(":images/32x32/info.png") ;
	displayMessage(title, text, picture) ;
}

#if defined(Q_WS_MAC) && defined(HAVE_GROWL)
void MainWindow::displayMessage(QString title, QString text, QPixmap image)
{
	// Initialize GrowlNotifier
	QStringList nots, defaults;
	nots << "Notification 1" << "Notification 2";
	defaults << "Notification 1";
	GrowlNotifier * growlNotifier = new GrowlNotifier(nots, defaults, "Axel");
	growlNotifier->notify("Notification 1", title, text, image);
}
# else
void MainWindow::displayMessage(QString , QString , QPixmap )
{
// 	if(QSystemTrayIcon::isSystemTrayAvailable()) {
// 	  QSystemTrayIcon *trayIcon = new QSystemTrayIcon(this) ;
// 	  trayIcon->setIcon(QIcon(":images/axel_icon.png")) ;
// 	  trayIcon->show() ;
// 	  QSystemTrayIcon::MessageIcon icon = QSystemTrayIcon::MessageIcon(0) ;
// 	  trayIcon->showMessage(title, text, icon, 15 * 1000);
// 	  //delete trayIcon ;
// 	}
}
# endif
