/*****************************************************************************
 * A x e l
 *****************************************************************************
 * PreferencesDialogPages
 * 2007-01-04
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# include <QtGui>
# include <QGui/MainWindow.h>
# include <QGui/Viewer.h>
# include <QGui/PreferencesDialogPages.h>

GeneralPage::GeneralPage(MainWindow * m, QWidget *parent) : QWidget(parent)
{
	ui.setupUi(this) ;
	window = m ;
}

ViewerPage::ViewerPage(MainWindow * m, QWidget *parent) : QWidget(parent)
{
  ui.setupUi(this) ;
  window = m ;
  QColor color = window->viewer()->backgroundColor();
  if (color.isValid()) {
    ui.bgColorLabel->setPalette(QPalette(color));
    ui.bgColorLabel->setAutoFillBackground(true);
  }
}

void ViewerPage::on_bgColorButton_clicked()
{
  QColor color = QColorDialog::getColor(window->viewer()->backgroundColor(), this);
  if (color.isValid()) {
    ui.bgColorLabel->setPalette(QPalette(color));
    ui.bgColorLabel->setAutoFillBackground(true);
    window->viewer()->setBackgroundColor(color);
  }
}

SoftwareUpdatePage::SoftwareUpdatePage(MainWindow * m, QWidget *parent) : QWidget(parent)
{
    ui.setupUi(this) ;
	window = m ;
}

PluginPage::PluginPage(MainWindow * m, QWidget *parent) : QWidget(parent)
{
	ui.setupUi(this) ;
	window = m ;
}
