/*****************************************************************************
 * A x e l
 *****************************************************************************
 * PreferencesDialogPages
 * 2007-01-04
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef PREFERENCESDIALOGPAGES_H
# define PREFERENCESDIALOGPAGES_H

# include <QWidget>

# include "ui_GeneralPage.h"
# include "ui_ViewerPage.h"
# include "ui_SoftwareUpdatePage.h"
# include "ui_PluginPage.h"

class MainWindow ;

class GeneralPage : public QWidget
{
	Q_OBJECT

public:
	GeneralPage(MainWindow * m, QWidget *parent = 0);

private:
	MainWindow * window ;
	Ui::GeneralPage ui ;
};

class ViewerPage : public QWidget
{
	Q_OBJECT

public:
    ViewerPage(MainWindow * m, QWidget *parent = 0);

private slots:
  void on_bgColorButton_clicked();

private:
	MainWindow * window ;
	Ui::ViewerPage ui ;
};

class SoftwareUpdatePage : public QWidget
{
	Q_OBJECT

public:
    SoftwareUpdatePage(MainWindow * m, QWidget *parent = 0);

private:
	MainWindow * window ;
	Ui::SoftwareUpdatePage ui ;
};

class PluginPage : public QWidget
{
	Q_OBJECT

public:
	PluginPage(MainWindow * m, QWidget *parent = 0) ;

private:
	MainWindow * window ;
	Ui::PluginPage ui ;
};

#endif
