/*****************************************************************************
 * A x e l
 *****************************************************************************
 * ToolPropertiesDock
 * 2006-03-31
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 *
 ****************************************************************************/

# ifndef TOOLPROPERTIESDOCK_H
# define TOOLPROPERTIESDOCK_H
                 
# include <QDockWidget>
# include <QScrollArea>

class MainWindow ;
   
class ToolPropertiesDock : public QDockWidget 
{
    Q_OBJECT       

public:
    ToolPropertiesDock(MainWindow * mw, const QString & title, QWidget * parent) ;

public slots :      
    void createNoToolWidget(void) ;
    
    void createPointWidget(void) ;
    void createPlaneWidget(void) ;
    void createCurveWidget(void) ;
    void createSurfaceWidget(void) ;
    
    void createConvertToMeshWidget(void) ;
    
    void createInterpolationBSplineCurveWidget(void) ;
    void createApproximationBSplineCurveWidget(void) ;
    void createApproximationBSplineSurfaceWidget(void) ;
    void createJoinBSplineCurveWidget(void) ;
    
    void createCurvesArrangementWidget(void) ;
    void createSurfacesArrangementWidget(void) ;
    
    void createFirstDerivativeWidget(void) ;
    void createSecondDerivativeWidget(void) ;
    void createJacobiCurveWidget(void) ;
    void createHessianCurveWidget(void) ;
    void createGraphedSurfaceWidget(void) ;
    
    void createIcIntersectionWidget(void) ;
    void createPcIntersectionWidget(void) ;	
    void createIsIntersectionWidget(void) ;
    void createPsIntersectionWidget(void) ;
    
    void createDistanceConstraintWidget(void) ;
    void createIncidenceConstraintWidget(void) ;
    void createAngleConstraintWidget(void) ;
    
    void createSurfRenderWidget(void) ;
    void createYafrayRenderWidget(void) ;
    
    void createBezierClipperWidget(void) ;
	
public :
    MainWindow * mainwindow ;
    QScrollArea * scrollArea ;
} ;

# endif
