/*****************************************************************************
 * A x e l
 *****************************************************************************
 * IStreamAxl
 * 2006-05-24
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef ISTREAMAXL_H
# define ISTREAMAXL_H  

class MainWindow ;
class QDomDocument ;
class QProgressDialog ;        

namespace QStream {
         
class IStreamAxl 
{
public :
    IStreamAxl(QString s, MainWindow * mainwindow) ;
    void run(void) ;
	
private:
    
    void getPoints(void) ;
    void getPlanes(void) ;
    void getCubes(void) ;
    void getSpheres(void) ;
    void getCylinders(void) ;
    void getCurves(void) ;
    void getSurfaces(void) ;
    void getScript(void) ;
    void getCamera(void) ;

private:

    void getMeshCurves(QDomElement e) ;
    void getImplicitCurves(QDomElement e) ;
    void getRationalCurves(QDomElement e) ;
    void getBSplineCurves(QDomElement e) ;
    void getParametricCurves(QDomElement e) ;
    void getPiecewiseLinearCurves(QDomElement e) ;
    
private:

    void getMeshSurfaces(QDomElement e) ;
    void getImplicitSurfaces(QDomElement e) ;
    void getRationalSurfaces(QDomElement e) ;
    void getBSplineSurfaces(QDomElement e) ;
    void getParametricSurfaces(QDomElement e) ;
    void getPiecewiseLinearSurfaces(QDomElement e) ;
    
private:

    QString getDescription(void) ;
    QStringList getPolynomials(QDomElement e) ;
    QBoundingBox * getDomain(QDomElement e) ;
    int getDimension(QDomElement e) ;
    QPair<double, double> getGrid(QDomElement e) ;
    QList<int> getOrders(QDomElement e) ;
    QList<int> getNumbers(QDomElement e) ;
    QList<double> getKnots(QDomElement e, int i) ;
    QList<QPoint3f *> getControlPoints(QDomElement e) ;
    	
private :	
    MainWindow * mainwindow ;
    QString filename ;
    QDomDocument * domdocument ;
    QProgressDialog * progress ;
} ;

} ;

# endif
