/*****************************************************************************
 * A x e l
 *****************************************************************************
 * OStreamYafray
 * 2007-02-06
 * Julien Wintz
 *****************************************************************************
 *               Copyright (C) 2006 INRIA Sophia-Antipolis
 *****************************************************************************
 * Comments :
 ****************************************************************************/

# ifndef OSTREAMYAFRAY_H
# define OSTREAMYAFRAY_H

# include <QAxel/QMesh.h>
# include <QStream/OStream/OStream.h>

using namespace QAxel ;

class Viewer;
class QDomDocument;
class QProgressDialog;

namespace QStream {

class OStreamYafray : public OStream
{
public :
  OStreamYafray(QString s, Viewer * v) ;
  void run(void) ;
  
private :
  void save(void);
  QDomElement meshToYafray(QString name, int * indices, int nindices, double * vertices, int nvertices) ;
  QDomElement meshToYafray(QString name, QMesh * mesh) ;
  void buildDomTree(QList<QDomElement> objects);
  
private :
  Viewer * viewer;
  QString filename;
  QString num;
  QDomDocument * domdocument;
  QProgressDialog * progress;
} ;

} ;

# endif
